import React, { ReactElement } from 'react';
import type { FlatListProps, TextInputProps, StyleProp, ViewStyle } from 'react-native';
export type AutocompleteInputProps<Item> = TextInputProps & {
    containerStyle?: StyleProp<ViewStyle>;
    hideResults?: boolean;
    inputContainerStyle?: StyleProp<ViewStyle>;
    listContainerStyle?: StyleProp<ViewStyle>;
    onShowResults?: (showResults: boolean) => void;
    renderResultList?: React.FC<FlatListProps<Item>>;
    renderTextInput?: React.FC<TextInputProps>;
    flatListProps?: Partial<Omit<FlatListProps<Item>, 'data'>>;
    data: readonly Item[];
};
export declare const AutocompleteInput: <Item, Ref>(props: AutocompleteInputProps<Item> & {
    ref?: React.ForwardedRef<Ref>;
}) => ReactElement;
export default AutocompleteInput;
